package github.benjamin.equipreservebackend.constant;

import lombok.Getter;

@Getter
public enum ReservationStatus {
    PENDING_LEADER("团队负责人审批中"),
    PENDING_DEVICE_ADMIN("设备负责人审批中"),
    APPROVED("通过"),
    APPROVED_ASSIST("需要协助实验"),
    REJECTED("审批不通过");

    final String label;

    ReservationStatus(String label) {
        this.label = label;
    }
}
