package github.benjamin.equipreservebackend.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
@TableName("reservations")
public class Reservation {

    private Long id;
    private Long deviceId;
    private Long userId;
    private LocalDate startTime;
    private LocalDate endTime;
    private String applicantName;
    private String applicantTeam;
    private String applicantContact;
    private String status;
    private Long deviceAdminId;
    private LocalDateTime createdTime;

}
