package github.benjamin.equipreservebackend.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import github.benjamin.equipreservebackend.entity.Role;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface RoleMapper extends BaseMapper<Role> {

    @Select("""
            select r.id, r.code, r.name
            from roles r
                     join user_roles ur on r.id = ur.role_id
            where ur.user_id = #{userId}
            """)
    List<Role> selectRoleByUserId(@Param("userId") Long userId);

}
