package github.benjamin.equipreservebackend.response;

public class ResponseCode {

    // 通用
    public static final int SUCCESS = 0;
    public static final int UNKNOWN_ERROR = -1;

    // 登录相关
    public static final int PASSWORD_ERROR = 4001;
    public static final int USER_NOT_EXIST = 4002;

    public static final int UNAUTHORIZED = 4010;

    public static final int FORBIDDEN = 4030;

    public static final int NOT_FOUND = 4040;

    // 业务相关错误码
    public static final int DUPLICATE_USERNAME = 10001;
    public static final int TEAM_NOT_EXIST = 10002;
    public static final int DEVICE_ALREADY_BOOKED = 10003;

    private ResponseCode() {} // 不允许实例化

}
