package github.benjamin.equipreservebackend.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import github.benjamin.equipreservebackend.entity.Device;
import github.benjamin.equipreservebackend.vo.DeviceUserVO;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

public interface DeviceService {
    Page<DeviceUserVO> getDeviceVO(Page<Device> pageRequest, String name);

    void addDevice(Device device);

    void deleteDevice(Long id);

    Device updateDevice(Device device);

    String saveImage(Long id, MultipartFile image) throws IOException;
}
