package github.benjamin.equipreservebackend.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import github.benjamin.equipreservebackend.entity.Reservation;
import github.benjamin.equipreservebackend.vo.TimeRangeVO;
import github.benjamin.equipreservebackend.vo.UserReservationVO;

import java.util.List;

public interface ReservationService {

    List<Reservation> getApprovedReservationsByDeviceIds(List<Long> devicesIds);

    void addReservation(Reservation reservation);

    Page<UserReservationVO> getUserReservationVO(Long userId, Page<Reservation> pageRequest);

    List<TimeRangeVO> getUnavailableTimes(Long id);
}
